from .base import *

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = 'kmh)s4=q@2i)r5$y!d5_ff88l0lxk*qcewq7fnetb7s^ssmhyk'

# SECURITY WARNING: define the correct hosts in production!
ALLOWED_HOSTS = ['*']

EMAIL_BACKEND = 'django.core.mail.backends.console.EmailBackend'

DATABASES = {
    "default": {
        "ENGINE": "django.db.backends.postgresql",
        "NAME": "runcible_dev",
        "USER": "runcible",
        "PASSWORD": os.environ.get("DB_PASSWD") if os.environ.get("DB_PASSWD") else "",
        "HOST": os.environ.get("DB_HOST") if os.environ.get("DB_HOST") else "127.0.0.1",
        "PORT": "5432",
    }
}

COMMENTING = False

try:
    from .local import *
except ImportError:
    pass
